//! System boundary and modules that interact with the operating system and programs.

use std::sync::Mutex;

use once_cell::sync::Lazy;
use sysinfo::SystemExt;

pub mod exec;
pub mod health;

// TODO: Make this mock-able so we can test code that interacts with it
pub static SYSTEM: Lazy<Mutex<sysinfo::System>> = Lazy::new(|| Mutex::new(sysinfo::System::new()));
