defmodule Prymn.ServersFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Prymn.Servers` context.
  """

  @doc """
  Generate a server.
  """
  def server_fixture(attrs \\ %{}) do
    {:ok, server} =
      attrs
      |> Enum.into(%{
        name: "some name",
        public_ip: "127.0.0.1",
        provider: "Custom"
      })
      |> Prymn.Servers.create_server()

    server
  end
end
